Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage
Class BrokerFactory

    java.lang.Object
      org.exist.storage.BrokerFactory

public class BrokerFactory
extends java.lang.Object

Constructor Summary
`BrokerFactory()`

Method Summary
`static DBBroker` | `getInstance(BrokerPool pool, Configuration conf)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrokerFactory

    public BrokerFactory()

Method Detail

### getInstance

    public static DBBroker getInstance(BrokerPool pool,
                                       Configuration conf)
                                throws EXistException

  Throws:
    `EXistException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.